Upgrading of UTRADE Mobile Android and iPhone App

 
 

We are upgrading our UTRADE Mobile Android and iPhone App to provide better security and user experience. Clients will be prompted on their devices to update to the latest version.

The following older version of the UTRADE Mobile Android and iPhone App will be disabled from
18 February 2017. Users of App with versions listed below will no longer be able to access UTRADE Mobile after such versions of App have been disabled.

  Old Mobile App Version
  (to be disabled from 18 Feb 2017)
  Latest App version available for download

  Andriod v1.92 and before


  v1.93

  Minimum OS requirement: v4.0 and above


  iPhone v1.92 and before


  v1.93

  Minimum iOS requirement: v8.0 and above


  Andriod Tablet v1.1 and before


  v1.2 (will be available for download from
  18 Feb 2017, Saturday)

  Minimum OS requirement: v4.4 and above

To continue using UTRADE Mobile Android and iPhone App, please install the latest version from Android Google Play or iPhone App store respectively.